Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIMenuGroup.Properties

    java.lang.Object
      java.lang.Enum<UIMenuGroup.Properties>
          org.richfaces.component.UIMenuGroup.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIMenuGroup.Properties>

Enclosing class:
  UIMenuGroup

    protected static enum UIMenuGroup.Properties

extends Enum<UIMenuGroup.Properties>

Enum Constant Summary
`dir`
`direction`
`disabled`
`horizontalOffset`
`icon`
`iconDisabled`
`jointPoint`
`label`
`lang`
`onclick`
`ondblclick`
`onhide`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onshow`
`style`
`styleClass`
`title`
`value`
`verticalOffset`

Method Summary
`static UIMenuGroup.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIMenuGroup.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final UIMenuGroup.Properties dir

### direction

    public static final UIMenuGroup.Properties direction

### disabled

    public static final UIMenuGroup.Properties disabled

### horizontalOffset

    public static final UIMenuGroup.Properties horizontalOffset

### icon

    public static final UIMenuGroup.Properties icon

### iconDisabled

    public static final UIMenuGroup.Properties iconDisabled

### jointPoint

    public static final UIMenuGroup.Properties jointPoint

### label

    public static final UIMenuGroup.Properties label

### lang

    public static final UIMenuGroup.Properties lang

### onclick

    public static final UIMenuGroup.Properties onclick

### ondblclick

    public static final UIMenuGroup.Properties ondblclick

### onhide

    public static final UIMenuGroup.Properties onhide

### onkeydown

    public static final UIMenuGroup.Properties onkeydown

### onkeypress

    public static final UIMenuGroup.Properties onkeypress

### onkeyup

    public static final UIMenuGroup.Properties onkeyup

### onmousedown

    public static final UIMenuGroup.Properties onmousedown

### onmousemove

    public static final UIMenuGroup.Properties onmousemove

### onmouseout

    public static final UIMenuGroup.Properties onmouseout

### onmouseover

    public static final UIMenuGroup.Properties onmouseover

### onmouseup

    public static final UIMenuGroup.Properties onmouseup

### onshow

    public static final UIMenuGroup.Properties onshow

### style

    public static final UIMenuGroup.Properties style

### styleClass

    public static final UIMenuGroup.Properties styleClass

### title

    public static final UIMenuGroup.Properties title

### value

    public static final UIMenuGroup.Properties value

### verticalOffset

    public static final UIMenuGroup.Properties verticalOffset

Method Detail

### values

    public static UIMenuGroup.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIMenuGroup.Properties c : UIMenuGroup.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIMenuGroup.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.